Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface FCallC

All Known Implementing Classes:
  FCallCImpl

public interface FCallC
extends CreateC, CreateS, DropC, DropS

A language independent interface to dynamic calls.. A language independent interface to dynamic calls.

Method Summary
`java.lang.Object` | `create$target$methodName$arguments(Zone aZone, java.lang.Object obj, java.lang.String methodName, FArguments fa)`
`java.lang.Object` | `create$target$selector$arguments(Zone aZone, java.lang.Object obj, Selector sel, FArguments fa)`
`java.lang.Object` | `setArguments(java.lang.Object args)`
`java.lang.Object` | `setJavaMethodFromName$inClass(java.lang.String methodName, java.lang.String className)`
`java.lang.Object` | `setJavaMethodFromName$inObject(java.lang.String methodName, java.lang.Object jObj)`
`java.lang.Object` | `setMethodFromName$inObject(java.lang.String methodName, java.lang.Object object)`
`java.lang.Object` | `setMethodFromSelector$inObject(Selector method, java.lang.Object object)`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$target$selector$arguments

    public java.lang.Object create$target$selector$arguments(Zone aZone,
                                                             java.lang.Object obj,
                                                             Selector sel,
                                                             FArguments fa)

### create$target$methodName$arguments

    public java.lang.Object create$target$methodName$arguments(Zone aZone,
                                                               java.lang.Object obj,
                                                               java.lang.String methodName,
                                                               FArguments fa)

### setArguments

    public java.lang.Object setArguments(java.lang.Object args)

### setMethodFromSelector$inObject

    public java.lang.Object setMethodFromSelector$inObject(Selector method,
                                                           java.lang.Object object)

### setMethodFromName$inObject

    public java.lang.Object setMethodFromName$inObject(java.lang.String methodName,
                                                       java.lang.Object object)

### setJavaMethodFromName$inObject

    public java.lang.Object setJavaMethodFromName$inObject(java.lang.String methodName,
                                                           java.lang.Object jObj)

### setJavaMethodFromName$inClass

    public java.lang.Object setJavaMethodFromName$inClass(java.lang.String methodName,
                                                          java.lang.String className)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD